Package Server Problems?



  • Seems that there might still be problems with the pfSense package server?

    New install on SG-1100, installed openvpn client and avahi but when trying to install more it get nothing on the available packages screen.

    0_1548524237743_Screen Shot 2019-01-26 at 11.32.03 AM.png


  • Moderators and Staff Rebel Alliance Netgate Administrator

    I am not seeing a problem, just updated Acme on my SG-1100

    From the command prompt, can you run:

    pkg-static clean -ay; pkg-static install -fy pkg pfSense-repo pfSense-upgrade

    And try again?



  • Here is what I get....

    pkg-static clean -ay
    pkg-static: Repository pfSense-core missing. 'pkg update' required
    pkg-static: No package database installed. Nothing to do!

    pkg-static install -fy pkg pfSense-repo pfSense-upgrade
    Updating pfSense-core repository catalogue...
    pkg-static: Repository pfSense-core load error: access repo file(/var/db/pkg/repo-pfSense-core.sqlite) failed: No such file or directory
    7407188:error:14099044:SSL routines:ssl3_send_client_verify:internal error:/usr/local/poudriere/jails/pfSense_factory-v2_4_4_aarch64/usr/src/crypto/openssl/ssl/s3_clnt.c:3266:
    7407188:error:14099044:SSL routines:ssl3_send_client_verify:internal error:/usr/local/poudriere/jails/pfSense_factory-v2_4_4_aarch64/usr/src/crypto/openssl/ssl/s3_clnt.c:3266:
    Child process pid=44479 terminated abnormally: Segmentation fault


  • LAYER 8 Rebel Alliance

    No problem here

    [2.4.4-RELEASE][admin@pfSense.localdomain]/root: pkg-static clean -ay
    The following package files will be deleted:
            /var/cache/pkg/pkg-1.10.5_6-5cf3482d5f.txz
            /var/cache/pkg/strongswan-5.7.1.txz
            /var/cache/pkg/pkg-1.10.5_6.txz
            /var/cache/pkg/pfSense-upgrade-0.60-3808f30ba2.txz
            /var/cache/pkg/unbound-1.8.1-16c75b0a38.txz
            /var/cache/pkg/pfSense-upgrade-0.60.txz
            /var/cache/pkg/unbound-1.8.1.txz
            /var/cache/pkg/strongswan-5.7.1-2bff1627f0.txz
            /var/cache/pkg/scponly-4.8.20110526_2-82e5457f31.txz
            /var/cache/pkg/scponly-4.8.20110526_2.txz
            /var/cache/pkg/php72-pfSense-module-0.65-0431abe0e7.txz
            /var/cache/pkg/mpd5-5.8_8.txz
            /var/cache/pkg/php72-pfSense-module-0.65.txz
            /var/cache/pkg/mpd5-5.8_8-c1ed8b65fc.txz
            /var/cache/pkg/igmpproxy-0.2.1_1,1-49117afdb4.txz
            /var/cache/pkg/curl-7.62.0-04dbe91124.txz
            /var/cache/pkg/igmpproxy-0.2.1_1,1.txz
            /var/cache/pkg/filterdns-2.0_1-be957fb976.txz
            /var/cache/pkg/filterdns-2.0_1.txz
            /var/cache/pkg/ccache-3.4.2.txz
            /var/cache/pkg/curl-7.62.0.txz
            /var/cache/pkg/ccache-3.4.2-b710af7e79.txz
            /var/cache/pkg/pfSense-rc-2.4.4_2-206b063b16.txz
            /var/cache/pkg/pfSense-rc-2.4.4_2.txz
            /var/cache/pkg/pfSense-kernel-pfSense-2.4.4_2-ad31ecdff2.txz
            /var/cache/pkg/pfSense-default-config-2.4.4_2-ee7a12907e.txz
            /var/cache/pkg/pfSense-kernel-pfSense-2.4.4_2.txz
            /var/cache/pkg/pfSense-base-2.4.4_2-cd71325778.txz
            /var/cache/pkg/pfSense-default-config-2.4.4_2.txz
            /var/cache/pkg/pfSense-2.4.4_2-e48dd73f92.txz
            /var/cache/pkg/pfSense-base-2.4.4_2.txz
            /var/cache/pkg/pfSense-2.4.4_2.txz
    The cleanup will free 58 MiB
    Deleting files: 100%
    All done
    [2.4.4-RELEASE][admin@pfSense.localdomain]/root: pkg-static install -fy pkg pfSense-repo pfSense-upgrade
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    The following 3 package(s) will be affected (of 0 checked):
    
    Installed packages to be UPGRADED:
            pfSense-upgrade: 0.60 -> 0.62 [pfSense]
    
    Installed packages to be REINSTALLED:
            pkg-1.10.5_6 [pfSense]
            pfSense-repo-2.4.4 [pfSense]
    
    Number of packages to be upgraded: 1
    Number of packages to be reinstalled: 2
    
    3 MiB to be downloaded.
    [1/3] Fetching pkg-1.10.5_6.txz: 100%    3 MiB 514.0kB/s    00:06
    [2/3] Fetching pfSense-repo-2.4.4.txz: 100%    5 KiB   5.4kB/s    00:01
    [3/3] Fetching pfSense-upgrade-0.62.txz: 100%   13 KiB  13.3kB/s    00:01
    Checking integrity... done (0 conflicting)
    [1/3] Upgrading pfSense-upgrade from 0.60 to 0.62...
    [1/3] Extracting pfSense-upgrade-0.62: 100%
    [2/3] Reinstalling pkg-1.10.5_6...
    [2/3] Extracting pkg-1.10.5_6: 100%
    You may need to manually remove /usr/local/etc/pkg.conf if it is no longer needed.
    [3/3] Reinstalling pfSense-repo-2.4.4...
    [3/3] Extracting pfSense-repo-2.4.4: 100%
    [2.4.4-RELEASE][admin@pfSense.localdomain]/root:
    

    -Rico


  • Moderators and Staff Rebel Alliance Netgate Administrator

    The repository information may need to be rewritten:

    Navigate to System > Updates
    Set the Branch to Latest Development Snapshots
    Wait for the page to refresh
    Set the Branch to Latest stable version
    If the update still does not appear, run the commands above from the console or shell.



  • @rdsmith24 said in Package Server Problems?:

    pkg-static install -fy pkg pfSense-repo pfSense-upgrade

    Still same issue after trying your procedure....

    Oh well....I guest I'll wipe this thing once again (maybe the third time is the charm)?


  • Administrator

    @rdsmith24 I would open a ticket with support and see they can help you with this https://go.netgate.com. This may be something they have seen.



  • @dennis_s thanks for the advise...
    I ended up loading the device once again carefully doing exactly what I had done at least twice before and even in the same order. Luckily this time everything went perfectly and no "package server problems" occurred.

    So far so good after close to a week in.

    thanks


  • Galactic Empire Netgate

    Hi @rdsmith24,

    Glad to hear the issue is resolved! If you see this behavior again and reimaging does not fix, please do not hesitate to open a ticket.

    Thank you,

    -James



  • This post is deleted!